Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class Instance.LateBindField

    java.lang.Object
      rdlc.rdl.Instance.LateBindField

Enclosing class:
  Instance

    protected static class Instance.LateBindField

extends java.lang.Object

LateBindField holds a field and it dynamic identifier for later binding into a instance.

Version:
  $Revision: 1.31 $
Author:
  Greg Gibeling

Field Summary
`protected Field` | `field` The actual field to bind.
`protected Instance` | `instance` The instance in which this field will be late bound.
`protected RawDynamicIdentifier` | `rawDynamicID` The raw dynamic identifier to which the field should be bound.

Constructor Summary
`Instance.LateBindField(Field _field, Instance _instance, RawDynamicIdentifier _rawDynamicID)` Base constructor, stores the field and the qualified identifier.

Method Summary
`boolean` | `bind(Log _errorLog, Expression.Phase phase)` Perform the actual late binding of the field to the name.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rawDynamicID

    protected RawDynamicIdentifier rawDynamicID

  The raw dynamic identifier to which the field should be bound.

### instance

    protected Instance instance

  The instance in which this field will be late bound.

### field

    protected Field field

  The actual field to bind.

Constructor Detail

### Instance.LateBindField

    public Instance.LateBindField(Field _field,
                                  Instance _instance,
                                  RawDynamicIdentifier _rawDynamicID)

  Base constructor, stores the field and the qualified identifier. A later call to `bind()` will actually perform the binding.

  Parameters:
    `_field` - The field to late bind.
    `_instance` - The instance in which this late binding will be bound.
    `_rawDynamicID` - The raw dynamic identifier which the field will be bound to.
  See Also:
    `Instance.LateBindField#bind(Log, Phase)`

Method Detail

### bind

    public boolean bind(Log _errorLog,
                        Expression.Phase phase)

  Perform the actual late binding of the field to the name.

  Parameters:
    `_errorLog` - A list of all the errors to be reported.
    `phase` - The phase of resolution to perform.
  Returns:
    `true` on success.

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable string representation of this identifier for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD